Back to X (Twitter)
Apify·X (Twitter)

Twitter (X.com) Scraper Unlimited: No Limits

/apidojo/twitter-scraper-liteasync$0.032 / result

Introducing Twitter Scraper Unlimited, the most comprehensive Twitter data extraction solution available. Our enterprise-grade scraper offers unmatched capabilities with a transparent event-based pricing model, making it perfect for both small-scale and large-scale data extraction needs. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • searchTermsarray

    If you add search terms, the scraper will find and extract tweets that mention those terms. Alternatively, see further down to scrape by Twitter URL.

  • sortstring

    Sorts search results. If you are getting low results, try Top instead of Latest. Latest + Top runs both simultaneously to maximize results but may return some duplicate tweets.

    Top, Latest, Latest + Top

  • maxItemsinteger

    This value lets you set the maximum number of tweets to retrieve. Twitter has a default limit of around 800 tweets per query. Check the README for workarounds.

  • startstring

    Scrape tweets starting from this date

  • endstring

    Scrape tweets until this date

  • twitterHandlesarray

    You can add the twitter handles of specific profiles you want to scrape. This is a shortcut so that you don't have to add full username URLs like https://twitter.com/apify

  • startUrlsarray

    This lets you tell the scraper where to start. You can enter Twitter URLs one by one. You can also link to or upload a text file with a list of URLs

  • includeSearchTermsboolean

    If selected, a field will be added to each tweets about the search term that was used to find it.

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/apidojo/twitter-scraper-lite","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.